API ReferenceAgents

Update knowledge base

PATCH
/api/v1/console/agents/{agentId}/knowledge_bases/{kbId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

In: header

Path Parameters

agentId*string
kbId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/console/agents/string/knowledge_bases/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "Success",  "data": {    "id": "string",    "type": "text",    "name": "string",    "description": "string"  }}
{  "message": "Resource not found",  "error": "Not Found",  "code": "not_found",  "statusCode": 404,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}